<project xmlns="http://maven.apache.org/POM/4.0.0">
    <modelVersion>4.0.0</modelVersion>

    <groupId>com.songoda.epicbosses</groupId>
    <artifactId>EpicBosses</artifactId>
    <packaging>pom</packaging>
    <version>1.2.12</version>

    <modules>
        <module>api-modules/FactionsM</module>
        <module>api-modules/FactionsOne</module>
        <module>api-modules/FactionsUUID</module>
        <module>api-modules/LegacyFactions</module>
        <module>plugin-modules/Core</module>
        <module>plugin-modules/FactionHelper</module>
    </modules>

    <properties>
        <plugin.version>1.2.12</plugin.version>
        <plugin.name>EpicBosses</plugin.name>
        <plugin.main>com.songoda.epicbosses.EpicBosses</plugin.main>
        <plugin.author>Songoda</plugin.author>
    </properties>

    <dependencies>
        <dependency>
            <groupId>com.wasteofplastic</groupId>
            <artifactId>askyblock</artifactId>
            <version>3.0.6.8</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <version>1.16.22</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>me.clip</groupId>
            <artifactId>placeholderapi</artifactId>
            <version>2.9.2</version>
            <scope>provided</scope>
        </dependency>
    </dependencies>

    <repositories>
        <repository>
            <id>private</id>
            <url>http://repo.songoda.com/artifactory/private/</url>
        </repository>
        <repository>
            <id>public</id>
            <url>http://repo.songoda.com/artifactory/public/</url>
        </repository>
    </repositories>

    <build>
        <defaultGoal>clean install</defaultGoal>
        <sourceDirectory>src</sourceDirectory>
        <testSourceDirectory>test</testSourceDirectory>
        <plugins>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>3.1</version>
                <configuration>
                    <source>1.8</source>
                    <target>1.8</target>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-antrun-plugin</artifactId>
                <version>1.7</version>
                <executions>
                    <execution>
                        <phase>validate</phase>
                        <goals>
                            <goal>run</goal>
                        </goals>
                    </execution>
                </executions>
                <inherited>false</inherited>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <version>2.8</version>
                <configuration>
                    <outputDirectory>jars</outputDirectory>
                    <stripVersion>true</stripVersion>
                    <artifactItems>
                        <artifactItem>
                            <groupId>${project.groupId}</groupId>
                            <artifactId>FactionHelper</artifactId>
                            <version>${project.version}</version>
                        </artifactItem>
                        <artifactItem>
                            <groupId>${project.groupId}</groupId>
                            <artifactId>FactionsM</artifactId>
                            <version>${project.version}</version>
                        </artifactItem>
                        <artifactItem>
                            <groupId>${project.groupId}</groupId>
                            <artifactId>FactionsOne</artifactId>
                            <version>${project.version}</version>
                        </artifactItem>
                        <artifactItem>
                            <groupId>${project.groupId}</groupId>
                            <artifactId>FactionsUUID</artifactId>
                            <version>${project.version}</version>
                        </artifactItem>
                        <artifactItem>
                            <groupId>${project.groupId}</groupId>
                            <artifactId>LegacyFactions</artifactId>
                            <version>${project.version}</version>
                        </artifactItem>
                        <artifactItem>
                            <groupId>${project.groupId}</groupId>
                            <artifactId>Core</artifactId>
                            <version>${project.version}</version>
                        </artifactItem>
                    </artifactItems>
                </configuration>
                <inherited>false</inherited>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-clean-plugin</artifactId>
                <version>2.5</version>
                <configuration>
                    <filesets>
                        <fileset>
                            <directory>${basedir}</directory>
                            <includes>
                                <include>jars/**</include>

                                <!-- Following folders clear Ant build directories -->
                                <include>build/**</include>
                                <include>dist/**</include>
                            </includes>
                        </fileset>
                    </filesets>
                </configuration>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-javadoc-plugin</artifactId>
                <version>2.9.1</version>
            </plugin>
            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-deploy-plugin</artifactId>
                <version>2.8.1</version>
                <configuration>
                    <deployAtEnd>true</deployAtEnd>
                </configuration>
            </plugin>
        </plugins>
        <resources>
            <resource>
                <directory>resources-json</directory>
                <includes>
                    <include>**/*.json</include>
                </includes>
                <filtering>true</filtering>
            </resource>
            <resource>
                <directory>resources-yml</directory>
                <includes>
                    <include>**/*.yml</include>
                </includes>
                <filtering>true</filtering>
            </resource>
        </resources>
    </build>

</project>